Bug 823471 - Doesn't build from sources
Doesn't build from sources
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: pycdio (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Greguske
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 06:35 EDT by Mathieu Bridon
Modified: 2012-08-31 14:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 14:28:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the package build, to apply directly in the fedpkg cloned git tree. (1.02 KB, patch)
2012-05-21 07:15 EDT, Mathieu Bridon
no flags Details | Diff

  None (edit)
Description Mathieu Bridon 2012-05-21 06:35:35 EDT
Description of problem:
When trying to build the package from the el6 branch in the Fedora git, I get:

$ fedpkg prep
[... snip ...]
Patch #0 (pycdio-remove-shebangs.patch):
+ /bin/cat /home/mathieu/Workspace/dist-git/pycdio/pycdio-remove-shebangs.patch
+ /usr/bin/patch -s -p0 --fuzz=0
1 out of 1 hunk FAILED -- saving rejects to file cdio.py.rej
1 out of 1 hunk FAILED -- saving rejects to file iso9660.py.rej
error: Bad exit status from /var/tmp/rpm-tmp.WMa311 (%prep)


Version-Release number of selected component (if applicable):
Latest in the el6 git branch


Additional info:
This really makes me wonder how it's been built at all :-/
http://koji.fedoraproject.org/koji/buildinfo?buildID=171029

A scratch build from the same sources just doesn't build at all:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4091103
Comment 1 Mathieu Bridon 2012-05-21 07:14:03 EDT
(In reply to comment #0)
> A scratch build from the same sources just doesn't build at all:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4091103

Oh, it seems it was built from CVS and the patch has that VCS keyword thing (the "$id: .... $"), which is reponsible for it not applying any more. Probably at the time of CVS this wasn't causing any problem?

Anyway, fix is trivial, see attached patch (to apply directly in the fedpkg cloned tree)
Comment 2 Mathieu Bridon 2012-05-21 07:15:23 EDT
Created attachment 585784 [details]
Fix the package build, to apply directly in the fedpkg cloned git tree.
Comment 3 Jay Greguske 2012-05-21 09:23:31 EDT
Thanks for the correction; I'll get to it some time this week.
Comment 4 Jay Greguske 2012-05-22 15:32:08 EDT
Patch applied and the sources are corrected. I guess it got mangled during the dist-cvs to dist-git conversion. Thanks for the assistance.

Note You need to log in before you can comment on or make changes to this bug.